Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.context
Enum ExtendedVisitContextMode

    java.lang.Object
      java.lang.Enum<ExtendedVisitContextMode>
          org.richfaces.context.ExtendedVisitContextMode

All Implemented Interfaces:
  Serializable, Comparable<ExtendedVisitContextMode>

    public enum ExtendedVisitContextMode

extends Enum<ExtendedVisitContextMode>

Author:
  Nick Belaevski

Enum Constant Summary
`EXECUTE`
`RENDER`

Method Summary
`static ExtendedVisitContextMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExtendedVisitContextMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXECUTE

    public static final ExtendedVisitContextMode EXECUTE

### RENDER

    public static final ExtendedVisitContextMode RENDER

Method Detail

### values

    public static ExtendedVisitContextMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExtendedVisitContextMode c : ExtendedVisitContextMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExtendedVisitContextMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core API 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.